#pragma once

#include "rotor-light.hpp"

namespace rl = rotor_light;

struct Board {
  static constexpr uint32_t samples = 10;

  static void init_start();

  static void disable_interrupts();

  static void enable_interrupts();

  static void enable_timer();

  static void disable_timer();

  static rl::TimePoint get_now();

  static void toggle_led();

  static void delay();
};
